{
  ...
}:

{
  home.programs.git = {
    enable = true;
    aliases = {
      amend = "commit --amend";
      lg = "log --color --graph --abbrev-commit --";
      ls = "ls-files";
      unadd = "reset HEAD";
      undo-commit = "reset --soft \"HEAD^\"";
    };
    ignores = [
      ".Trash-*"
      "[._]*.s[a-v][a-z]"
      "[._]*.sw[a-p]"
      "[._]s[a-rt-v][a-z]"
      "[._]ss[a-gi-z]"
      "[._]sw[a-p]"
      "Session.vim"
      "Sessionx.vim"
      ".netrwhist"
      "*~"
      "tags"
      "[._]*.un~"
      "cmake-build-*/"
    ];
    userEmail = "jordan@vimium.com";
    userName = "Jordan Holt";
    signing = {
      key = "B8CFFF61F1CCF520";
      signByDefault = true;
    };
    extraConfig = {
      rebase.autosquash = true;
      push.default = "current";
      pull.rebase = true;
    };
  };
}
